Wine in Debian unstable, amd64

30/10/2013 - 14:30 von Ralph Aichinger | Report spam
Ich versuche gerade Wine auf einem amd64/unstable-Debian-System
zu installieren, und kratze mir etwas am Kopf:


Das Metapaket wine ist installiert, scheint aber keine sinnvollen
Binàrpakete nachzuziehen, bzw. als Abhàngigkeit zu haben:

||/ Name Version Architecture Description
+++--==-==-rc libwine:i386 1.4-6 i386 Windows API impleme
un libwine-alsa <none> <none> (no description ava
un libwine-bin <none> <none> (no description ava
un libwine-cms <none> <none> (no description ava
ii libwine-gecko-1.4 1.4+dfsg1-3 all Windows API impleme
un libwine-gl <none> <none> (no description ava
un libwine-gphoto2 <none> <none> (no description ava
un libwine-ldap <none> <none> (no description ava
un libwine-openal <none> <none> (no description ava
un libwine-oss <none> <none> (no description ava
un libwine-print <none> <none> (no description ava
un libwine-sane <none> <none> (no description ava
un libwine-twain <none> <none> (no description ava
ii wine 1.4.1-4 amd64 Windows API impleme
rc wine-bin 1.4-6 i386 Windows API impleme
un wine-bin-unstable <none> <none> (no description ava
ii wine-doc 1.0.0-1 all Windows API impleme
un wine-gecko-1.0.0 <none> <none> (no description ava
un wine-utils <none> <none> (no description ava
un wine1.0 <none> <none> (no description ava
un wine1.2 <none> <none> (no description ava
un wine1.3 <none> <none> (no description ava
un wine1.4 <none> <none> (no description ava
ii wine64-bin 1.5.30-2 amd64 Windows API impleme

Das Paket wine64-bin scheint "leer" zu sein:

root@cube:/usr/share/doc/wine64-bin# dpkg -L wine64-bin
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/wine64-bin
/usr/share/doc/wine64-bin/changelog.Debian.gz
/usr/share/doc/wine64-bin/copyright

das Installieren von wine-bin:i386 scheitert an libwine:i386

The following packages have unmet dependencies:
libwine:i386 : Depends: libdbus-1-3:i386 (>= 1.0.2) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Wenn ich versuche libdbus-1-3:i386 zu installieren wird mir die amd64-
Version deinstalliert, was den ganzen Gnome-Desktop entfernt.

Kann mir jemand verraten, wie das überhaupt gedacht ist? Muß
ich auf einem amd64-System die wine:i386-Version überhaupt
installieren? Ist da temporàr was gebrochen, oder hab ich
ein generelles Prinzip nicht verstanden?

TIA

/ralph
 

Lesen sie die antworten

#1 Alfred Hell
30/10/2013 - 15:20 | Warnen spam
On 30 Oct 2013 13:30:17 GMT Ralph wrote:

Wenn ich versuche libdbus-1-3:i386 zu installieren wird mir die amd64-
Version deinstalliert, was den ganzen Gnome-Desktop entfernt.

Kann mir jemand verraten, wie das überhaupt gedacht ist? Muß
ich auf einem amd64-System die wine:i386-Version überhaupt
installieren? Ist da temporàr was gebrochen, oder hab ich
ein generelles Prinzip nicht verstanden?



Das ist etwas seltsam.
Hier funktioniert wine:i386 auf amd64/unstable mit LTspice.

Schlage vor:
wine purgen
dann apt-get autoremove
apt-get update
apt-get install wine:i386

HTH
Alfred



Stoppt die Schnorchler!

Ähnliche fragen